# IceGrid::DbEnvDescriptor

## Overview

### struct DbEnvDescriptor

A Freeze database environment descriptor.

#### Used By

DbEnvDescriptorSeq

## Data Member Index

name
  The name of the database environment.
description
  The description of this database environment.
dbHome
  The home of the database environment (i.e., the directory where the database files will be stored).
properties
  The configuration properties of the database environment.

## Data Members

string name;

  The name of the database environment.

string description;

  The description of this database environment.

string dbHome;

  The home of the database environment (i.e., the directory where the database files will be stored). If empty, the node will provide a default database directory, otherwise the directory must exist.

PropertyDescriptorSeq properties;

  The configuration properties of the database environment.